"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllLayouts = exports.getUniqeLayouts = exports.getLayoutsDir = exports.getLayoutFiles = void 0;
const system_settings_1 = require("@ewizardjs/system-settings");
const fs_extra_1 = require("fs-extra");
const globby = require("globby");
function getLayoutFiles(path) {
    return globby('**', { cwd: path, dot: true });
}
exports.getLayoutFiles = getLayoutFiles;
function getLayoutsDir(baseDir) {
    return (0, system_settings_1.getByPath)(baseDir, 'path.layouts');
}
exports.getLayoutsDir = getLayoutsDir;
function getUniqeLayouts(layouts) {
    return [...new Set(layouts)];
}
exports.getUniqeLayouts = getUniqeLayouts;
function getAllLayouts(layoutsDir) {
    return (0, fs_extra_1.readdir)(layoutsDir);
}
exports.getAllLayouts = getAllLayouts;
//# sourceMappingURL=getLayoutFiles.js.map