"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runDevBuild = exports.devAction = void 0;
const content_checker_1 = require("@ewizardjs/content-checker");
const dev_builder_1 = require("@ewizardjs/dev-builder");
function devAction(dir, options) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, content_checker_1.validateInstalledDependencies)(dir);
        return runDevBuild(dir, options);
    });
}
exports.devAction = devAction;
function runDevBuild(baseDir, _a) {
    var { watch, live } = _a, options = __rest(_a, ["watch", "live"]);
    switch (true) {
        case watch:
            return runWatcher(baseDir, options);
        case live:
            return runServer(baseDir, options);
        default:
            return runBuilder(baseDir, options);
    }
}
exports.runDevBuild = runDevBuild;
function runWatcher(baseDir, options) {
    const buildWatcher = new dev_builder_1.BuildWatcher(baseDir, undefined);
    return buildWatcher.start(options).subscribe();
}
function runBuilder(baseDir, options) {
    const devBuilder = new dev_builder_1.DevBuilder(baseDir);
    return devBuilder.build(options);
}
function runServer(baseDir, options) {
    const devBuilder = new dev_builder_1.DevBuilder(baseDir);
    return devBuilder.serve(options);
}
//# sourceMappingURL=action.js.map