"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createChapter = exports.createChapterFactory = void 0;
const content_types_1 = require("@ewizardjs/content-types");
const WizError_1 = require("../../../modules/WizError");
const getContentType_1 = require("../../getContentType");
const action_1 = require("./action");
exports.createChapterFactory = (0, getContentType_1.default)(createChapter);
function createChapter(type) {
    return __awaiter(this, void 0, void 0, function* () {
        switch (type) {
            case content_types_1.ContentTypes.EDETAILER:
                return action_1.default;
            default:
                throw new WizError_1.WizError('CHAPTER_CREATION_IMPOSSIBLE', type);
        }
    });
}
exports.createChapter = createChapter;
//# sourceMappingURL=index.js.map