"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.update = void 0;
const ensureAuth_1 = require("./ensureAuth");
const updateStructureJson_1 = require("../../utils/updateStructureJson");
const updateReferencesJson_1 = require("../../utils/updateReferencesJson");
const DependencyUpdater_1 = require("../../modules/DependencyUpdater");
function update(presentationPath, components, options) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, ensureAuth_1.default)();
        if (options.structure) {
            yield (0, updateStructureJson_1.default)(presentationPath);
            return;
        }
        if (options.references) {
            yield (0, updateReferencesJson_1.default)(presentationPath);
            return;
        }
        const dependencyUpdater = new DependencyUpdater_1.default(presentationPath, components, options);
        return dependencyUpdater.run();
    });
}
exports.update = update;
//# sourceMappingURL=update.js.map