"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander = require("commander");
const configureHelpOptions_1 = require("../utils/configureHelpOptions");
const component_1 = require("./../Api/component");
const ensureAuth_1 = require("./utils/ensureAuth");
const logger_1 = require("./utils/logger");
commander
    .name('wiz component build')
    .option('-n, --name <name>', 'Component name')
    .configureHelp({
    optionDescription: configureHelpOptions_1.capitalizeOptionDescription,
})
    .description('Build component')
    .parse(process.argv);
execute(commander.opts(), process.cwd())
    .catch(logger_1.handleError)
    .finally(logger_1.closeLogger);
function execute(opts, presentationPath) {
    return __awaiter(this, void 0, void 0, function* () {
        yield (0, ensureAuth_1.default)();
        return (0, component_1.componentAction)(presentationPath, opts);
    });
}
//# sourceMappingURL=wiz-component-build.js.map