import { Target } from '@ewizardjs/dev-builder';
import { TargetCLMs } from '@ewizardjs/settings';
import { ArchiverCommanderOptions } from './archiver.interface';
import { DevCommandOptions } from './dev.interface';
export interface MonorepoCommandOptions extends Partial<Omit<DevCommandOptions, 'target' | 'layout'>>, Partial<Omit<ArchiverCommanderOptions, 'target' | 'layout'>> {
    command: 'dev' | 'archive';
    layout?: string | string[];
    target?: Target | keyof typeof TargetCLMs;
}
export interface MonorepoCtx {
    baseDir: string;
    build?: string[];
    emailsFolder: string;
    emailPath: string;
    options: MonorepoCommandOptions;
}
