/// <reference types="node" />
import { ForkOptions } from 'child_process';
import { NpmVersion } from '@ewizardjs/system-settings';
export interface NpmOptions extends Partial<NpmRegistryConfig> {
    cwd: string;
    silent?: boolean;
    npmVersion?: NpmVersion;
    distTag?: string;
}
export interface NpmRegistryConfig {
    registry: string;
    token: string;
    packageNamePatterns?: string[];
}
export interface ForkArguments {
    cmd: string;
    args: string[];
    npmVersion?: NpmVersion;
    options: ForkOptions;
}
export type NpmPaths = Record<NpmVersion, string>;
