import { ITokenHandler } from '../../modules/Token-handler/ITokenHandler';
import keycloakConnect = require('keycloak-connect');
export declare class KeyCloakClient {
    private tokenHandler;
    private callbackServer;
    constructor(tokenHandler: ITokenHandler, callbackServer: any);
    login(data: any): Promise<any>;
    logout(): Promise<void>;
    checkAuth(): Promise<import("../../modules/Token-handler/ITokenHandler").Tokens>;
    getConfig(): Promise<any>;
    resolveUrl(route: string, config: any): string;
    loginWithCredentials(loginUrl: string, credentials: any, config: any): Promise<any>;
    getOfflineAccessTokens(loginUrl: string, form: any): Promise<any>;
    loginFormWithPassword(credentials: any, config: any): {
        client_id: any;
        client_secret: any;
        grant_type: string;
        username: any;
        password: any;
    };
    loginViaBrowser(loginUrl: string, config: any): Promise<any>;
    retrieveAuthCode(config: any): Promise<{
        code: any;
        redirectUrl: string;
    }>;
    findOpenPort(): Promise<unknown>;
    printBrowserUrl(url: string): void;
    createBrowserLogoutUrl(config: any, redirectUrl: string): any;
    createBrowserLoginUrl(config: string, clientUniquieId: any, redirectUrl: string): any;
    createBrowserUrlHelper(config: any): keycloakConnect;
    requestAuthCodeFromBrowser(requestUrl: string, redirectPort: any, uniquieId: any): Promise<unknown>;
    introspectToken(token: string): Promise<any>;
    requestLogoutFromBrowser(requestUrl: string, redirectPort: any): Promise<void>;
    loginFormWithAuthCode(code: any, redirectUrl: string, config: any): {
        code: any;
        client_id: any;
        client_secret: any;
        grant_type: string;
        redirect_uri: string;
    };
    logoutViaBrowser(config: any): Promise<void>;
    refreshToken(data: any): Promise<any>;
    refreshTokenAndTryAgain(action: any): Promise<import("../../modules/Token-handler/ITokenHandler").Tokens>;
}
