"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackageName = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
const PACKAGE_JSON = 'package.json';
function getPackageName(packagePath) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { name } = JSON.parse(yield fs_1.promises.readFile((0, path_1.join)(packagePath, PACKAGE_JSON), 'utf8'));
            return name;
        }
        catch (err) {
            throw new Error('Invalid path to package.');
        }
    });
}
exports.getPackageName = getPackageName;
//# sourceMappingURL=getPackageName.js.map